Subject: Re: [PATCH v2] builtin: allow passing custom data to sub-commands

From: Junio C Hamano <[email-masked]>
Date: Wed, 27 Nov 2024 04:27:33 +0900

karthik nayak <[email-masked]> writes:

> Could you elaborate on why you think this is an over-optimization? We
> don't loose functionality with this, nor do we have to have add
> additional code to handle the typecasting to `struct repository *` if
> needed. But would definitely like to resolve anything I missed.

I do not know if it is an optimization, but if you know it is of a
specific type, casting back and force with "void *" loses type
safety, no?